org.apache.myfaces.trinidad.component.core.output

## Class CoreSpacer

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXObject
        - - org.apache.myfaces.trinidad.component.core.output.CoreSpacer

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class CoreSpacer
      extends UIXObject

  spacer occupies a fixed amount of space in a layout, specified by its width and height attributes. If the width is not specified, but height specified, a block level HTML element is rendered, thereby introducing a new line effect. If width is specified, then, irrespective of the specified value of height, it may not get shorter than the applicable line-height, in user agents that strictly support standards mode HTML.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `HEIGHT_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreSpacer()` Construct an instance of the CoreSpacer.
    `protected` | `CoreSpacer(String rendererType)` Construct an instance of the CoreSpacer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `String` | `getHeight()` Gets the height of the spacer item.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets the short description of the bean.
    `String` | `getWidth()` Gets the width of the spacer item.
    `void` | `setHeight(int height)` Sets the height of the spacer item.
    `void` | `setHeight(String height)` Sets the height of the spacer item.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setShortDesc(String shortDesc)` Sets the short description of the bean.
    `void` | `setWidth(int width)` Sets the width of the spacer item.
    `void` | `setWidth(String width)` Sets the width of the spacer item.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEIGHT_KEY

          public static final PropertyKey HEIGHT_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreSpacer

          public CoreSpacer()

      Construct an instance of the CoreSpacer.

    - #### CoreSpacer

          protected CoreSpacer(String rendererType)

      Construct an instance of the CoreSpacer.

  - ### Method Detail

    - #### getWidth

          public final String getWidth()

      Gets the width of the spacer item.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(String width)

      Sets the width of the spacer item.
      Parameters:
        `width` - the new width value

    - #### setWidth

          public final void setWidth(int width)

      Sets the width of the spacer item.
      Parameters:
        `width` - the new width value

    - #### getHeight

          public final String getHeight()

      Gets the height of the spacer item.
      Returns:
        the new height value

    - #### setHeight

          public final void setHeight(String height)

      Sets the height of the spacer item.
      Parameters:
        `height` - the new height value

    - #### setHeight

          public final void setHeight(int height)

      Sets the height of the spacer item.
      Parameters:
        `height` - the new height value

    - #### getShortDesc

          public final String getShortDesc()

      Gets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets the short description of the bean. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update. This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.
      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXObject`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXObject`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.